5142 comments

My client brought this template. I able to build it and its running successfully. My problem is, I created a new component, the component is working, but I the left menu or or top bar isn't appearing in the layout. So I was worried, how to make it appear? Any suggestions.
Hi, sorry for the long delay.
What project are you using? Could you describe a bit more how was created such component? It seems that the new component is not using parts of the layouts but can tell without more details mentioned.
In case you want to keep code private, please send us a message via our profile page and we will chat via email.

Sorry again for the delay and thanks for your patience.
Regards
Same problem here. Is there documentation that shows how to add a component to include the header/navigation template?
Hi, usually when parts of the layout are missing it's an issue related with a setup of the component. Anyway, it's hard to say exactly what happens without more details, like the project version (react, angular2, etc) ? And depending on that we could need more information.
For example, in angular2 project, any route that belongs to an admin page must be defined as "children" of the main route that uses the "LayoutComponent" in order to allow components to be injected into the content area, right next to the sidebar and below the header.

Regards
Sorry for not providing more information.

I am using ANGULARJS 4.

Module:
======

const routes: Routes = [
{path: 'roomestimation/:id', component: RoomEstimationComponent }
];

@NgModule({
imports: [
BrowserModule, RouterModule.forChild(routes),
SelectModule, FormsModule,
ReactiveFormsModule,CommonModule, ToasterModule
],
declarations: [
RoomEstimationComponent
],
exports: [
RouterModule
],
providers:[RoomEstimationService, BrowserAnimationsModule, ToasterService]
})
export class RoomEstimationModule { }

routes.ts
=======
component: LayoutComponent,
children: [
{ path: '', redirectTo: 'home', pathMatch: 'full' },
{ path: 'home', loadChildren: './home/home.module#HomeModule' },
{ path: 'roomestimation/:id', loadChildren:"./roomestimation/roomestimation.module#RoomEstimationModule" }
]

RoutesModule
===========

imports: [
SharedModule,
RouterModule.forRoot(routes),
PagesModule,
HomeModule,
RoomEstimationModule
]

>>>>

So I am not sure, what I need to do, to make it work
Hi, thanks for the details.
Looking at your code, specifically at the RoomEstimationModule code, it seems the path of the route is not correct, because, you have already defined the same route to access the module (in routes.ts), then inside your module you need to define routes relative to the route that allow access to the module.

You could try changing the following:

routes.ts (removed the :id part)
=======
const routes: Routes = [
{path: 'roomestimation', component: RoomEstimationComponent }
];

Module: (used only the :id part)
======
const routes: Routes = [
{path: ':id', component: RoomEstimationComponent }
];

Then, any route/link like for example "roomestimation/123" should load correctly. The "roomestimation" part tells angular-router to load the RoomEstimationModule, and the "123" part (i.e. the :id) tells the router to load specifically the RoomEstimationComponent.

Let us know if you have any question
Regards
This worked like a charm. Thanks for helping out.

You should make a proper documentation for this. As people need to know about configuring this.

Thanks
Dear Developer,

The bootstrap tooltips are not working for backend-meteor-jquery. All the tooltips only appear at the bottom position. I have downloaded the latest version and verified several times.

The buttons, Tooltip on left, Tooltip on Top, Tooltip on bottom, Tooltip on right, all display the tooltip at bottom.

Thank you for your attention with this issue.
Hello, sorry for the long delay and thanks for reporting this issue.
Found that there's a conflict betweent Bootstrap and jQueryUI tooltip plugin, both uses the same name.
A quick solution is to remove jqueryUI from meteor with the following command

> meteor remove mizzao:jquery-ui

Once it's done, tooltips should work ok but features based on jqueryui will stop working, like calendar and porlets. If you can go on without jqUI the quick solution is the mentioned above, otherwise we will search for a solution based on importing the library from npm to have more control and avoid the plugins conflict. Of course, this last is in our plans for next release to provide a definitive solution-

Thank for your time to report this
Regards
Afridi PURCHASED
Hello i have some error with angular 2 in the latest version. when i try to use ng install it show me this error.
npm WARN deprecated @types/moment@2.13.0: This is a stub types definition for Moment (https://github.com/moment/moment). Moment provides its own type definitions, so you don't need @types/moment installed!
npm WARN deprecated ng2-tag-input@1.0.5: This package has been renamed to 'ngx-chips'. Please install it instead.
npm ERR! Error while executing:
npm ERR! /usr/bin/git ls-remote -h -t ssh://git@github.com/flot/flot.git
npm ERR!
npm ERR! xcode-select: note: no developer tools were found at '/Applications/Xcode.app', requesting install. Choose an option in the dialog to download the command line developer tools.
npm ERR!
npm ERR! exited with error code: 1

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/zubairafridi/.npm/_logs/2017-08-26T15_30_06_433Z-debug.log
would you plz help me.
Hi, first message are warnings, you can ignore them and will be fixed in the next versions.
The error seems to be related with a missing GIT installation in your system or an issue with xcode (maybe not installed), a bit hard to describe but you could check this post with a similar error: https://apple.stackexchange.com/a/161669

Regards
Thank you very much for the help. The package.json works well in our PCs now.

But we encountered another problem which needs your help. We could run the project in Chrome without problems but when comes to IE (we tried v11/edge), it doesn't work. I think I have found the part which doesn't work in IE:

----------------------------------------
module.exports = () => {
...
}
----------------------------------------

How could we get it work in IE?

An then.
Regarding to dependencies, I am using the exact package.json file you shared before without any changes. I haven't installed any third party module into app either.
Attached polifills.ts for your reference.

I send a email to you.
Hi, already sent you an answer. We'll continued via email.
Regards
Hi Admin,
I am trying to use animation for div and inside div using model dialog but popup coming behind the backdrop, please find the below code,

<div class="panel panel-default">
<div class="panel-heading">Heading</div>
<div class="panel-body">
<div class="row animated bounceInRight" *ngIf="showFilter" >
<div class="col-sm-3">
<button type="button" class="btn mb-sm btn-primary" (click)="bookSdModal.show()">Book</button>
<!-- View Schedule modal -->
<div bsModal id="vSchedule" #bookSdModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="bookSdModal" aria-hidden="true">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" aria-label="Close" (click)="bookSdModal.hide()">
<span aria-hidden="true">×</span>
</button>
<h4 class="modal-title">Demo</h4>
</div>
<div class="modal-body">
<div class="row">
<div class="col-sm-12" style="overflow-x:scroll; ">

</div>
</div>
</div>
</div>
</div>
</div>
<!-- End View Schedule -->
</div>
</div>
</div>
</div>
Hi, any chance you could send us the full code of the component, meaning, not only markup, styles and .ts ? You can send us a message via our profile page in order to chat via email and keep code private.
From a previous comment we know you are using a different markup for the animation, what you could try is to apply the "animation-fill-mode" fix to that element specifically, because the issue with modals is that the ngx-bootstrap doesn't create the modals as a body child, instead it adds the modal markup inside the layout and that generates problem with the stack context. The fix for animations works fine on the layout structure but if you another one different we need to see it running, if possible online, in order to check what are the exact difference.
Anyway, please check the animated elements, they must be generating a stack context that needs to be removed in some way.

Let us know if you have any question
Regards
We are having troubles trying to compile angular template:
ERROR in multi script-loader!./~/jquery/dist/jquery.js script-loader!./src/app/core/preloader/preloader.js script-loader!./~/flot/jquery.flot.js script-loader!./~/jquery.flot.tooltip/js/jquery.flot.tooltip.js script-loader!./~/flot/jquery.flot.resize.js script-loader!./~/flot/jquery.flot.pie.js script-loader!./~/flot/jquery.flot.time.js script-loader!./~/flot/jquery.flot.categories.js script-loader!./~/jquery.flot.spline/jquery.flot.spline.js script-loader!./~/jquery-sparkline/jquery.sparkline.js script-loader!./~/easy-pie-chart/dist/easypiechart.js script-loader!./~/chart.js/dist/Chart.bundle.js script-loader!./~/jqcloud2/dist/jqcloud.js script-loader!./~/bootstrap/js/modal.js script-loader!./~/bootstrap/js/dropdown.js script-loader!./~/bootstrap/js/tooltip.js script-loader!./~/summernote/dist/summernote.js script-loader!./~/moment/min/moment-with-locales.min.js script-loader!./~/fullcalendar/dist/fullcalendar.js

We've followed instruccions from previous posts without any luck. Seems there is some angular-cli.json that we can test... Anyway could you help us please?
Hello, not sure if you have tried but this solutions worked for many other users with the same error:

In package.json, find an entry named "napa"; add there the following line:

"flot": "flot/flot#v0.8.3"

And remove any other reference to "flot" from entry "dependencies" (to avoid problems with duplicate installation)

Install again with "npm install" and it should work fine now.

Alternative solution is to use "yarn" instead of npm.

Let us know if you have any question
Regards
Hey ThemeIcon,

When i run ng build --prod in the angular project it returns async errors in the console for each moduke on the side bar.

ERROR in ./src/main.ts
Module not found: Error: Can't resolve './$$_gendir/app/app.module.ngfactory'

ERROR in ./src/$$_gendir async
Module not found: Error: Can't resolve '/Users/bstory/Projects/project-dir/src/$$_gendir/app/routes/dashboard/dashboard.module.ngfactory.ts' in '/Users/bstory/Projects/project-dir/src/$$_gendir'
@ ./src/$$_gendir async
@ ./~/@angular/core/@angular/core.es5.js
@ ./src/main.ts
@ multi ./src/main.ts
....

Do you have any suggestions for how to build production and not see these errors?
I fixed this issue by updating angular-cli to 1.2.6 or greater.

I also found a few UNMET PEER DEPENDENCY issues

├── UNMET PEER DEPENDENCY @angular/common@4.3.6
├── UNMET PEER DEPENDENCY @angular/compiler@4.3.6
├── UNMET PEER DEPENDENCY @angular/core@4.3.6
├── UNMET PEER DEPENDENCY @angular/forms@4.3.6
├── UNMET PEER DEPENDENCY @angular/http@4.3.6
├── UNMET PEER DEPENDENCY @angular/platform-browser@4.3.6

these are caused by FLOT@0.8.3

I haven't found a solution for this issue yet but it doesn't seem to break the build in any way. Has anyone else discovered a solution for this issue?
Hi, thanks for the feedback with first issue.
Regarding second issue "UNMET PEER DEPENDENCY " happens usually when your project requires a version of @angular but dependencies requires different one. For example, some module requires angular 2.x but your project uses 4.x, that module module will not satisfy its dependecy but could work anyway because the code supports that. In some repos you can see people asking to update package.json to avoid this message. Anyway, as you mentioned, this shouldn't break nothing and solution should be to have all third party assets depending on exactly same version. Some posts also mentioned problem with npm resolving a dependency tree.
Flot should not require angular, but since it's installed from github directly (and not from npm repository), that could be the issue.

Btw, please consider the following if you find more problems with Flot:
In package.json, find an entry named "napa"; add there the following line:
"flot": "flot/flot#v0.8.3"
And remove any other reference to "flot" from entry "dependencies" (to avoid problems with duplicate installation)
Install again with "npm install".

Let us know if you have any question
Regards
Hi,

I have brought your template before, may I know how to setup to make the project use AOT? Thanks.
Hi, the last version of the template supports AOT without extra setup. You need only to update to latest changes if necessary.
The aot can be enable adding "--aot" flag to "ng build" or "ng serve" commands of @angular/cli
Please also consider that some third party components might have problems with AOT, anyway if you use the last version a reference you will find everything working.

Regards
Hi, Thanks for your quick reply, as I find some example there are much setting need to config, e.g) platformBrowser VS platformBrowserDynamic...also another area need to config. Im using your netcore2 MVC6 template, after I publish the project, everything fine in desktop browser, however, when I try to load in iPhone, after the pre-load blue screen, it show the page without CSS well setup, all elrments are broken, it should wait a quite long time (> 1 min) to complete the rendering, after rendering complete, every pages are going smooth like desktop browser.

May I ask if AOT will be help in my suitation or which area I should make attention? If I want to try AOT in your template, just adding --aot flag is enough?

Thanks and sorry Im new in Angular and NetCore.
Hi, sorry for the confusion, Aot is currently not supporte on NetCore project. We are currently updating the project to VS2017 and also updating Angular 4 version to latest release. If possible in the next update we will try to add AOT support, for the moment is a bit hard because the VS environment is not the same like we used with @angular/cli so it not so simple like adding a --aot flat for compilation.
In order to update to latest version, it could be more simple if you start using the latest project and add there your custom changes. Using VS could have some important changes between version because the project is not based in an official build environment like @angular/cli which can be updated out of the box.

At last, regarding to issue with CSS it's hard to say what could be the problem because on mobile the site uses the same css but modified thanks to media queries. In the worst case it should look like desktop but not with elements broken. Any chance you could publish your site online so we can check it?

Thanks
Regards
giates PURCHASED
Hi,

I've buy your template for a customer's project and it's GREAT (congratulations).

I've a little problem with Rails checkbox tag.

When I write an input like this:

<div class="col-lg-offset-1 col-lg-5">
<div class="checkbox c-checkbox">
<label>
<%= form.check_box :disabled %>
<span class="fa fa-check"></span>
Disabled
</label>
</div>
</div>

Rails expands the checkbox creating 2 inputs:

<div class="col-lg-offset-1 col-lg-5">
<div class="checkbox c-checkbox">
<label>
<input name="technical_ticket[disabled]" type="hidden" value="0">
<input name="technical_ticket[disabled]" type="checkbox" value="1">
<span class="fa fa-check"></span>
Disabled
</label>
</div>
</div>

At this point the check box is not more clickable.

Any suggestions or possible workaround ?

Many thanks in advance...
giates PURCHASED
I've found a workaround using bootstrap-switch javascript library...
Hi, thanks for let us know you solved it. bootstrap-switch plugin works different but if ti fill your needs that pretty fine. Anyway, please don't hesitate to contact us again if you need a workaround for the issue. We will check anyway with more time for the next update so we can cover any future case like this.

Thanks
Regards
Hi,
I have purchased it but didn't get the landing page. Can you please tell me where(path) is landing page on the downloaded folder.
As I seen landing page on demo: http://themicon.co/theme/angle/v3.7.5/frontend/site/
Hello, the landing page is under folder "frontend" there you will fine the compiled files and source files to use with Gulp.
The landing page is a jQuery based project, it's not written using another framework like angular2. This is done this way because usually the landing page is a presentation page and should be lightweight as possible, then when a user decides to use the app, the user is redirected to the url where the angular app is placed.

Regards
lotpi PURCHASED
Hallo to all here.

I have samo Problem with Sweetalert.
It's wery pretty element but how can I use it on my Site?

This is my Problem:

Where can I found documentation about using Sweetalert with php and mysql.
I want to click on button (in my datatable) to delete one row of datatable (and mysql too).
How can I do it !?

I am using HTML 5 Template.

Please for Helm and Thanks
Hi, we don't provide server side implementation, which is what you need to work with php and mysql. In general terms, the idea is that you send a request to your server and process the action, like a row delete.
You can use datatable event like this to control which row is deleted and use an internal ID to sync with your mysql database https://datatables.net/reference/api/row().remove()
For sweetalert you can see documentation here: http://t4t5.github.io/sweetalert/
Finally, if you want to use sweealert for confirmation before delete row, you can mix the sweealert usage code with the click event of datatable to control which row to delete.
Surely, there are many other ways to do same but this should help you as a guide in the process of send information from Javascript to the PHP server and finally to mysql database.

Hope this helps,
Regards
Hi,
I'm using Angular 4 template and I'm having problem with modals. Modals are appearing underneath the grey fade and is non editable. I imported code from "Notifications" and it works, but If I use in a new component it doesn,'t. If not, is it possible to hide the grey fade?

Thanks in advance.
Hi, please try the following approach, this solution was reported by another user but recently we have tested it and it seems to be working fine:

1- Edit file src/app/shared/styles/app/animate.scss
2- Change the css used for animation to the following, note that the "not" selector was removed and it has different rules for animation:

app-layout router-outlet + * {
display: block;
-webkit-animation-duration: 1s;
animation-duration: 1s;
-webkit-animation-fill-mode: backwards;
animation-fill-mode: backwards;
@extend .fadeIn;
}

3- Save and reload the page.

Let us know if you have any question
Regards
Hi,
I have a presale question. Could this theme be used with Meteor + React? I see meteor support with angular, and I see React support, but will this combination work?
Hi, we don't have a project with meteor+react as part of the package but we built one some months ago for another user that requested the same. If you are interested in this option, after purchase please send us a message via our profile page and we will send you the project files, of course, we will review the project in order to update the React code to latest changes we have released.

Let us know if you have any question

Thanks
Regards
mighani PURCHASED
Hi, i have problems running the angular 2 project using ng serve. The following error occurs:

ERROR in multi script-loader!./~/jquery/dist/jquery.js script-loader!./src/app/core/preloader/preloader.js script-loader!./~/flot/jquery.flot.js script-loader!./~/jquery.flot.tooltip/js/jquery.flot.tooltip.js script-loader!./~/flot/jquery.flot.resize.js script-loader!./~/flot/jquery.flot.pie.js script-loader!./~/flot/jquery.flot.time.js script-loader!./~/flot/jquery.flot.categories.js script-loader!./~/jquery.flot.spline/jquery.flot.spline.js script-loader!./~/jquery-sparkline/jquery.sparkline.js script-loader!./~/easy-pie-chart/dist/easypiechart.js script-loader!./~/chart.js/dist/Chart.bundle.js script-loader!./~/jqcloud2/dist/jqcloud.js script-loader!./~/bootstrap/js/modal.js script-loader!./~/bootstrap/js/dropdown.js script-loader!./~/bootstrap/js/tooltip.js script-loader!./~/summernote/dist/summernote.js script-loader!./~/moment/min/moment-with-locales.min.js script-loader!./~/fullcalendar/dist/fullcalendar.js
Module not found: Error: Can't resolve '/Users/mighani/Downloads/WB04HF123/angular2/ng2angle/node_modules/flot/jquery.flot.time.js' in '/Users/mighani/Downloads/WB04HF123/angular2/ng2angle'
@ multi script-loader!./~/jquery/dist/jquery.js script-loader!./src/app/core/preloader/preloader.js script-loader!./~/flot/jquery.flot.js script-loader!./~/jquery.flot.tooltip/js/jquery.flot.tooltip.js script-loader!./~/flot/jquery.flot.resize.js script-loader!./~/flot/jquery.flot.pie.js script-loader!./~/flot/jquery.flot.time.js script-loader!./~/flot/jquery.flot.categories.js script-loader!./~/jquery.flot.spline/jquery.flot.spline.js script-loader!./~/jquery-sparkline/jquery.sparkline.js script-loader!./~/easy-pie-chart/dist/easypiechart.js script-loader!./~/chart.js/dist/Chart.bundle.js script-loader!./~/jqcloud2/dist/jqcloud.js script-loader!./~/bootstrap/js/modal.js script-loader!./~/bootstrap/js/dropdown.js script-loader!./~/bootstrap/js/tooltip.js script-loader!./~/summernote/dist/summernote.js script-loader!./~/moment/min/moment-with-locales.min.js script-loader!./~/fullcalendar/dist/fullcalendar.js
webpack: Failed to compile.
mighani PURCHASED
The sudo npm install --unsafe-perm helped to solve the issue
Great! Thanks for let us know that and sharing the solution.
FYI, in some cases reported by other users this was a problem with npm@5 and Flot chart (installed from github) so we have a workaround for the next release and should not be necessary to use the unsafe perm in the future.

Let us know if you have any question

Thanks again!
Regards
Hi, Do you integrate with Saga.
Hi, no, sorry we don't support Saga for the moment.

Let us know if you have any question

Thanks
Regards
Hi,
I'm using Angular 4 template. Instead of bootstrap carousel, I'll like to use ngx-gallery. I imported successfully, unfortunatelly on image preview the gray fade is appearing underneath the header and sidebar. Do you know a solution for that?

Thank for your support and your great template.
Hi, we tested ngx-gallery and as you mentioned, it works fine but the preview fails. Unfortunately the issue here is that the preview backdrop is contained inside the content area, which by design has a lower z-index in order to allow header and sidebar to be visible, for example on mobile or with fixed header.
Anyway, we played with z.index values and this seems to be fix the stack context at least for the ngx-gallery module. You can add the following css anywhere your code, but make sure it overrides the default styles:

.layout-fixed .wrapper .topnavbar-wrapper,
.wrapper > section { z-index: 21; }
.wrapper > .aside { z-index: 16; }
.offsidebar-open .offsidebar { z-index: 22; }
.wrapper > footer { z-index: 9; }

Let us know if you have any question
Regards
Hi. Thanks for the reply. I tested and works, but topnav is hidden when scrolling over content pages. The dropdown-list in topnav is not shown any more. I guess it is quite tricky to make it working. So could you recommend another compatible similar component?
Thanks again.
Hi, thanks for the feedback. Recently found the same and that's something that could be expected because touching z-index is a bit critical for the entire layout. Another option we tried is to add a specific class when the preview is triggered so you can change the layout only for the preview, and not the entire application. Please try the following, it requires a bit more of code:

1- Wrap the above rules in a class like this: (scss code)

.gallery-preview {
.layout-fixed .wrapper .topnavbar-wrapper,
.wrapper > section { z-index: 21; }
.wrapper > .aside { z-index: 16; }
.offsidebar-open .offsidebar { display: none; } // this is different from previous workaround.
.wrapper > footer { z-index: 9; }
}

2- Add two events to the component that will add/remove that global class from <body> element:

public onBackdropOpen() {
$('body').addClass('gallery-preview');
}
public onBackdropClose() {
$('body').removeClass('gallery-preview');
}

It may be necessary to add `declare var $: any;` at the top in order to use jquery in the component

3- Finally, change the markup to:

<ngx-gallery [options]="galleryOptions" [images]="galleryImages" (previewOpen)="onBackdropOpen()" (previewClose)="onBackdropClose()"></ngx-gallery>

If everything goes fine, when click on gallery and preview is opened a new class is added to body that activates the specific z-index to fix the backdrop overlap. When the preview is closed, the class is removed and z-index return to standard values and it should not be extra issues.

Let us know if you have any question
Regards
lotpi PURCHASED
Hi,

how can I use wysiwyg Editor in some form and get Content as php Variable?

Here can I write custom Content:
<div style="overflow:scroll; height:250px;max-height:250px" class="form-control wysiwyg mt-lg" name="sitetemporarilylockedtext2">Type something ...</div>
but how can I get this Content with $_POST['editor']

Thanks
Hi, you can read the value of the editor and send as POST via ajax to the server, here is an example of this using a form submit and jQuery ajax to send data: https://github.com/mindmup/bootstrap-wysiwyg/issues/131#issuecomment-30393793

Let us know if you have any question
Regards
Hi,

May know How you do you build react version?
Can you provide the screen shot of the folder structure.?

And is your Datatable work with Redux?

Thanks in advance.

Outdam
Hi, please feel free to read the docs here for more details: http://themicon.co/theme/angle/v3.7.5/reactjs/doc/
Regarding to last question, the project doesn't support Redux for the moment.

Let us know if you have any question
Regards
I have purchased this with Angular 2, i have not downloaded it since the upgrade to angular 4. When i try updating the package myself, I get conflicts. Is it possible to post the latest package.json file here for angular 4? Thanks
Hello, the latest package.json is the same you get from in the package. When we release the next version it will include a new updated package.json but we need to test it before sharing something with latest version.
What are the exact error messages you see?

Thanks
Regards
npm WARN deprecated angular2-infinite-scroll@0.2.8: Please use the new --> ngx-infinite-scroll <--- supports in Angular +4, AOT compilation and optimized code bundle
npm WARN deprecated angular2-google-maps@0.17.0: Please use the new package name @agm/core - Details here: http://bit.ly/2nv2tXS
npm WARN deprecated ag-grid-ng2@7.1.2: ag-grid-ng2 is now deprecated - please use ag-grid-angular instead.
npm WARN deprecated ng2-tag-input@0.7.0: This package has been renamed to 'ngx-chips'. Please install it instead.
npm ERR! git fetch -a origin (git://github.com/zefoy/angular2-color-picker.git) fatal: remote error:
npm ERR! git fetch -a origin (git://github.com/zefoy/angular2-color-picker.git) Repository not found.
Hi, most of the error are related with warnings, for the moment you can ignore them, but the last messages is an error and that breaks the installation.
angular2-color-picker module has been renamed to ngx-color-picker, you can compare your current pacakges.json with the one provided in the last update and apply modifications. Or more simple, if you haven't added more plugins to the project, just replace the file your folder and install again (remove node_modules before)

Just in case, please consider that the update from angular v2 to v4 involves updates of many other plugins that changed it's name and code, so we suggest you to evaluate the chance to start using the angular4 version and move your change into a new project, it could more simple because you know better your changes. It's just an idea.

Let us know if you have any question
Regards
Also, I am eagerly awaiting a chat feature. Any chance you have an eta on that?
Hi again, are you looking for a chat page or something more like a chat window (popup messaging app)?
We don't have currently an ETA but expected to be in no more than a month, we have an update in progress to be released in next week and then we can put hands on this.
Also, please consider that a chat feature will contain only the client side code, because our template doesn't include server side implementation.

Let us know if you have any question

Thanks
Regards
first a chat page(something like whatsapp web), popup will be a bonus. Client vs Server : understandable - totally fine.
Hi, we have built a chat view, you can take a look at https://i.imgur.com/ECRDtKS.png
If it looks good to you, please send us a message via our profile and we will send you the components files, from previous message we assume your are working on angular4 version.
A popup variant is pending but it's also in plans.

Let us know if you have any question

Thanks
Regards
This looks good, might help to have multiple colours. Is this already included in the latest version? If not, when is this releasing?
Hi, we are evaluating if this will be included in the next version. Anyway, if you are interested we can send you the files before release, please send us a message via our profile page.
Colors can be changed depending on what you want to change, by customizing the CSS is possible to change any color and a more generic change can be done switching predefined themes.

Let us know if you have any question

Regards
Thanks- that will be very useful, Will send dm. BTW, when is the next release planned?
Next version is planned to be released by the end of this month. We are bit delayed but working hard to deliver all pending updates for this project.

Thanks
Regards

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
11072Purchases

Licenses: Details »

Single application $24
Version:3.8.2
Type:
  • HTML Template
Bootstrap: Compatible with 3.3.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:Yes
Uses Sass:Yes
Categories:
Tags: admin, admin template, angularjs, material, meanjs, meteor, mvc, rails, responsive, rtl
Item#:WB04HF123
Released:3 years ago
Updated:1 week ago
Sold exclusively on WrapBootstrap
themicon

themicon

Signed up 3 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: